### Method

# Clutter KeyController get_key

#### Declaration [src]

    gboolean
    clutter_key_controller_get_key (
      ClutterKeyController* key_controller,
      uint32_t* key_symbol,
      uint32_t* key_code,
      gunichar* unicode
    )

#### Description [src]

Should be called within a `ClutterKeyController::key-press` or `ClutterKeyController::key-release` signals to retrieve a meaningful state. `FALSE` will be returned otherwise.

Returns details about the key being pressed or released.

#### Parameters

`key_symbol`

  Type: `uint32_t*`

  Return location for the key symbol.

  The argument will be set by the function.

`key_code`

  Type: `uint32_t*`

  Return location for the key XKB code.

  The argument will be set by the function.

`unicode`

  Type: `gunichar*`

  Return location for the unicode represenation, if any.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if called while handling keyboard input.